# -*- coding: utf-8 -*-
"""

Created on Fri Jan 31 11:18:37 2019

@author: ms

ToDo:
Remove extra decimals
Add "reset to default" button
Check if the loading process is successful or not
Add subject ID

"""

import argparse
import wx
from tkinter import Tk
from tkinter import messagebox
import ctypes

from ansur_plugin import res

myappid = 'ANSUR_PLUGIN'
ctypes.windll.shell32.SetCurrentProcessExplicitAppUserModelID(myappid)


def main():
    """This function receives the PORT number and the ID of the plugin.
    The data is used to connect via thrift to AMS.
    The dependencies are also checked in order to ensure the plugin
    will run."""

    parser = argparse.ArgumentParser()

    parser.add_argument('-p', '--port',
                        required=False)
    parser.add_argument('-id', '--identification',
                        required=False)

    args = vars(parser.parse_args())
    print(args)

    #if check_dependencies():
    app = wx.App(False)
    from ansur_plugin.frame import Frame

    Frame(None, title='ANSUR Plugin', args=args)

    app.MainLoop()


def check_dependencies():

    try:
        import wx
        del wx
        import lxml
        del lxml
        import PIL
        del PIL
        import ams_service
        del ams_service
        import thrift
        del thrift
        import pygments_anyscript
        del pygments_anyscript
        import configobj
        del configobj

        return True

    except ModuleNotFoundError:

        top = Tk()
        top.withdraw()
        messagebox.showerror(res.WARN_TITLE, res.WARN_TEXT)

        return False


if __name__ == '__main__':

    main()
