'''
This module is used to create the 'About' tab inside the plugin.

Author: Ioan-Matei Sarivan @ AnyBody Technology A/S
E-mail: ms@anybodytech.com

Cretaed on 19th of January, 09:06:35, 2017
Adapted on 15 of August 2019 by CMD
'''
import wx
import pkg_resources
import os
from ansur_plugin import res


class AboutTab(wx.Panel):

    def __init__(self, parent):
        """The About tab is created by instantiating this class."""

        wx.Panel.__init__(self, parent)

        self.__address_text_box = None
        self.__addresses = []
        self.__workspaces_dropdown = None

        self.__close_address_panel_button = None

        self.__init_tab()

    def __init_tab(self):
        """The GUI elements inside the About tab are created"""

        self.SetBackgroundColour('WHITE')
        address = os.path.dirname(__file__)
        address = pkg_resources.resource_filename('ansur_plugin',
                                                  "GordonImages/Hello.jpeg")
        image = wx.Image(address, wx.BITMAP_TYPE_ANY)

        maxdimension = 500

        user = os.getlogin()
        imageCtrl = wx.StaticBitmap(self, wx.ID_ANY, wx.Bitmap(image))
        
        terms = res.LICENSE_LABEL
        terms = terms.replace('<user>', user)
        label = wx.StaticText(self, label=terms)

        main_sizer = wx.BoxSizer(wx.VERTICAL)
        main_sizer.Add(imageCtrl, 0, wx.ALL | wx.ALIGN_CENTRE_HORIZONTAL, 5)

        main_sizer.Add(wx.StaticLine(self), 0, wx.TOP, 25)
        main_sizer.Add(label, 0, wx.ALIGN_CENTER_HORIZONTAL | wx.TOP, 25)

        self.SetSizer(main_sizer)
